.docker_build:
  stage: build
  image: docker:stable
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR: ""
    DOCKER_DRIVER: overlay2
  services:
    - docker:dind
  before_script:
    - docker login -u ${CI_REGISTRY_USER} -p ${CI_JOB_TOKEN} ${CI_REGISTRY}
  script:
    - docker build -t ${CI_REGISTRY_IMAGE}/${CI_PROJECT_NAME}-${STACK}:${CI_COMMIT_REF_SLUG} -f ${STACK}/Dockerfile .
    - docker push ${CI_REGISTRY_IMAGE}/${CI_PROJECT_NAME}-${STACK}:${CI_COMMIT_REF_SLUG}
    - docker tag ${CI_REGISTRY_IMAGE}/${CI_PROJECT_NAME}-${STACK}:${CI_COMMIT_REF_SLUG} ${CI_REGISTRY_IMAGE}/${CI_PROJECT_NAME}-${STACK}:latest
    - docker push ${CI_REGISTRY_IMAGE}/${CI_PROJECT_NAME}-${STACK}:latest
  tags:
    - docker

